
var myAjax = {
	interfaceUrl: tools.getParams().webBaseUrl || '',
	getAjax (url, params) {
		return new Promise((resolve, reject) => {
			$.ajax({
			    url: this.interfaceUrl + url,
			    success:(res) => {
					resolve(res)
			    },
			    type: 'GET',
			    data: params
			})
		})
	},
	postAjax (url, data) {
		return new Promise((resolve, reject) => {
			$.ajax({
			    url: this.interfaceUrl + url,
			    type: 'POST',
			    data: JSON.stringify(data),
				headers: {
					'Content-Type': 'application/json'
				},			   
				success:(res) => {
					resolve(res)
				},
			})
		})
	}
}
